use axum::{
    routing::{get, put,},
    Router,
};

use crate::rooms::handler::*;
use crate::utils::db_pool::{
    HotelPool,
    AppState,
};



// ROOTS
pub fn rooms_routes() -> Router<AppState> {

    Router::new()
        .route("/", get(hello_rooms) )
        .route("/clean_db_update/{room_id}", put(clean_db_update))
        .route("/rooms", get(get_all_rooms))
    }